"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ab = require("asyncblock");
var protractor_1 = require("protractor");
var element_finder_sync_1 = require("./element-finder-sync");
function exec(obj) {
    if (obj.then) {
        var flow = ab.getCurrentFlow();
        if (flow == null) {
            throw new Error('Could not find the current asyncblock flow. Please make sure this method is called from an asyncblock context.');
        }
        var cb_1 = flow.add();
        return flow.sync(obj.then(function (result) {
            if (result instanceof protractor_1.ElementFinder) {
                result = new element_finder_sync_1.ElementFinderSync(result);
            }
            cb_1(null, result);
        }, function (err) {
            cb_1(err);
        }));
    }
    else {
        return obj;
    }
}
exports.exec = exec;
//# sourceMappingURL=exec.js.map