import { BrowserSync } from './browser-sync';
import { ElementFinderSync } from './element-finder-sync';
export declare const browserSync: BrowserSync;
export declare const elementSync: {
    findVisible: (selector: any, rootElement?: ElementFinderSync) => ElementFinderSync;
    findVisibles: (selector: any, rootElement?: ElementFinderSync) => ElementFinderSync[];
    findElement: (selector: any, rootElement?: ElementFinderSync) => ElementFinderSync;
    findElements: (selector: any, rootElement?: ElementFinderSync) => ElementFinderSync[];
    assertElementDoesNotExist: (selector: any, rootElement?: ElementFinderSync) => boolean;
    getActiveElement: () => ElementFinderSync;
};
