"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var path = require("path");
exports.implicitWaitMs = 5000;
exports.retryIntervalMs = 10;
exports.clickRetryIntervalMs = 200;
exports.autoReselectStaleElements = true;
exports.autoRetryClick = true;
exports.jQueryLocation = path.join(__dirname, '../../../node_modules/jquery/dist/jquery.js');
function configure(args) {
    exports.implicitWaitMs = args.implicitWaitMs || exports.implicitWaitMs;
    exports.retryIntervalMs = args.retryIntervalMs || exports.retryIntervalMs;
    exports.clickRetryIntervalMs = args.clickRetryIntervalMs || exports.clickRetryIntervalMs;
    exports.autoReselectStaleElements = args.autoReselectStaleElements != null ? args.autoReselectStaleElements : exports.autoReselectStaleElements;
    exports.autoRetryClick = args.autoRetryClick != null ? args.autoRetryClick : exports.autoRetryClick;
    exports.jQueryLocation = args.jQueryLocation || exports.jQueryLocation;
}
exports.configure = configure;
//# sourceMappingURL=config.js.map